import Vue from "vue";
import VueRouter from "vue-router";

// 引入组件
import test from "~/pages/test";
import teacher from "~/pages/teacher/index";
import manager from "~/pages/manager/index";
import supManager from "~/pages/supManager/index";
import personal from "~/pages/teacher/personal";
import login from "~/pages/login";
import empty from "~/components/empty";

// 要告诉 vue 使用 vueRouter
Vue.use(VueRouter);

const routes = [
    {
        path: "/",
        redirect: '/test'
    },
    {
      path:'/test',
        component:test
    },
    {
        path: "/teacher",
        component: empty,
        children: [
            {
                path: '',
                name:'teacher',
                component: teacher
            },
            {
                path: 'personal',
                component: personal
            }
        ]
    },
    {
      path:'/manager',
      component:manager,
      children:[

      ]
    },
    {
        path:'/supManager',
        component:supManager
    },

    {
        path:"/login",
        component:login
    }
]

let router = new VueRouter({
    routes
})
export default router;
